Bug 1000248 - evas-generic-loaders contains multiple types of bundled binary files
evas-generic-loaders contains multiple types of bundled binary files
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: evas-generic-loaders (Show other bugs)
22
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Benoît Marcelin
Fedora Extras Quality Assurance
:
Depends On:
Blocks: WebAssets-BundledBinaries
  Show dependency treegraph
 
Reported: 2013-08-23 00:19 EDT by T.C. Hollingsworth
Modified: 2015-08-15 22:10 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-08-15 22:10:09 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description T.C. Hollingsworth 2013-08-23 00:19:12 EDT
This package contains binary files that are typically excuted by the Flash
player or another similar program.

These files are not permitted in Fedora. [1]  Everything we produce needs to
be built from source. [2]

The offending file(s) shipped in this package are:
/usr/lib64/evas/utils/evas_image_loader.dcr (shockwave director)
/usr/lib64/evas/utils/evas_image_loader.fla (flash source)
/usr/lib64/evas/utils/evas_image_loader.swf (flash player)

If these files are just a fallback for something that is now supported by modern
web standards like the HTML5 <video> element, please just remove the binaries.

If removing these files would seriously cripple your application, please let me
know so we can figure out a solution.

If you have any questions, please shout.  Thanks!

[1] https://fedoraproject.org/wiki/Packaging:Guidelines#No_inclusion_of_pre-built_binaries_or_libraries
[2] https://lists.fedoraproject.org/pipermail/devel/2013-August/187836.html
Comment 1 Fedora Admin XMLRPC Client 2015-02-26 16:38:06 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 2 Jaroslav Reznik 2015-03-03 10:00:03 EST
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22
Comment 3 Tom "spot" Callaway 2015-08-15 22:10:09 EDT
These aren't pre-built binary files anymore:

spot@localhost git]$ file /usr/lib64/evas/utils/evas_image_loader.dcr
/usr/lib64/evas/utils/evas_image_loader.dcr: symbolic link to evas_image_loader.raw
[spot@localhost git]$ file /usr/lib64/evas/utils/evas_image_loader.raw 
/usr/lib64/evas/utils/evas_image_loader.raw: ELF 64-bit LSB shared object, x86-64, version 1 (SYSV), dynamically linked, interpreter /lib64/ld-linux-x86-64.so.2, for GNU/Linux 2.6.32, BuildID[sha1]=634d24b8f78e75afedbe4a1550822a4177563caa, stripped

[spot@localhost git]$ file /usr/lib64/evas/utils/evas_image_loader.fla
/usr/lib64/evas/utils/evas_image_loader.fla: symbolic link to evas_image_loader.gst
[spot@localhost git]$ file /usr/lib64/evas/utils/evas_image_loader.gst
/usr/lib64/evas/utils/evas_image_loader.gst: ELF 64-bit LSB shared object, x86-64, version 1 (SYSV), dynamically linked, interpreter /lib64/ld-linux-x86-64.so.2, for GNU/Linux 2.6.32, BuildID[sha1]=39ffb729aedded7465eef58fc9ee114bc67398bc, stripped

[spot@localhost git]$ file /usr/lib64/evas/utils/evas_image_loader.swf
/usr/lib64/evas/utils/evas_image_loader.swf: symbolic link to evas_image_loader.gst
[spot@localhost git]$ file /usr/lib64/evas/utils/evas_image_loader.gst
/usr/lib64/evas/utils/evas_image_loader.gst: ELF 64-bit LSB shared object, x86-64, version 1 (SYSV), dynamically linked, interpreter /lib64/ld-linux-x86-64.so.2, for GNU/Linux 2.6.32, BuildID[sha1]=39ffb729aedded7465eef58fc9ee114bc67398bc, stripped

Note You need to log in before you can comment on or make changes to this bug.